Bug 829769 - System settings crashes when restarting Nepomuk and viewing details
System settings crashes when restarting Nepomuk and viewing details
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kde-settings (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: alpha
: 7.0
Assigned To: Ngo Than
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 10:02 EDT by Martin
Modified: 2014-09-14 20:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: soprano-2.7.57-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 11:23:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Application: System Settings (systemsettings), signal: Segmentation fault (7.10 KB, text/plain)
2012-06-07 10:02 EDT, Martin
no flags Details
Application: KDE Control Module (kdeinit4), signal: Segmentation fault (11.56 KB, text/plain)
2012-06-07 10:04 EDT, Martin
no flags Details

  None (edit)
Description Martin 2012-06-07 10:02:16 EDT
Created attachment 590209 [details]
Application: System Settings (systemsettings), signal: Segmentation fault

Description of problem:
System settings crashes when restarting Nepomuk and viewing details.

Version-Release number of selected component (if applicable):
kde-settings-4.8-14.el7.1.noarch

How reproducible:
always

Steps to Reproduce:
1. Go to: System settings - Desktop Search
2. Click "Details..." then "Close".
3. Uncheck "Enable Nepomuk Semantic Desktop" and apply.
4. Click "Details..." then "Close"
5. Check "Enable Nepomuk Semantic Desktop" and apply.
6. 2x Click "Details..." then "Close"
  
Actual results:
System settings crash

Expected results:
System settings should not crash
Comment 1 Martin 2012-06-07 10:04:36 EDT
Created attachment 590212 [details]
Application: KDE Control Module (kdeinit4), signal: Segmentation fault
Comment 2 Ngo Than 2012-06-19 12:09:12 EDT
it's fixed in soprano-2.7.57-1.el7,
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=4529007
Comment 3 Martin 2012-06-26 08:34:08 EDT
kde-settings-4.8-15.el7.noarch
soprano-2.7.57-1.el7.x86_64

works fine.

Note You need to log in before you can comment on or make changes to this bug.